# KDE User's Manual

Lauri
Watts
&Lauri.Watts.mail;
February 25, 2005
K Desktop Environment
&kappname;
1

# `ark`

A &kde; archiving tool

    ark

    --extract
    --extract-to
    --add
    --add-to
    --guess-name

    folder
    files
    archive
    KDE Generic Options
    Qt Generic Options

## Description

&kappname; is a program for managing various archive formats within the &kde; environment. Archives can be viewed, extracted, created and modified from within &kappname;. The program can handle various formats such as tar, gzip, bzip2, zip, rar and lha (if appropriate command-line programs are installed). &kappname; can work closely with &konqueror; in the &kde; environment to handle archives, if you install the &konqueror; Integration plugin available in the kdeaddons package.

## Options

`--extract`

  Open extract dialog, quit when finished

`--extract-to folder archive`

  Extract archive to folder. Quit when finished. folder will be created if it does not exist.

`--add files`

  Ask for the name of the archive to add files to. Quit when finished.

`--add-to files archive`

  Add files to archive. Quit when finished. archive will be created if it does not exist.

`--guess-name folder archive`

  Used with `--extract-to`. When specified, archive will be extracted to a subfolder of folder whose name will be the name of archive without the filename extension.

## Environment

$`PATH`

  The commandline programs to deal with the archives you wish to handle in &kappname; must be available in your $`PATH`.

## Examples

``ark` `--extract-to --guess-name` `.` `An-Archive.tar.bz2``

  Will extract `An-Archive.tar.bz2` into a folder named `An-Archive` in the current directory.

``ark` `--add-to` `*.jpg` `pictures.tar.bz2``

  Add all files ending in *.jpg to an archive named `pictures.tar.bz2`, creating it if it doesn't already exist.

## See Also

tar(1), gzip(1), bzip2(1), zip(1), rar(1), lha(1)

More detailed user documentation is available from help:/ark (either enter this URL into &konqueror;, or run ``khelpcenter` `help:/ark``).

## Authors

&ark; is maintained by Henrique Pinto stampede@coltec.ufmg.br

This man page was written by &Lauri.Watts; &Lauri.Watts.mail; for &kde; 3.4.